{% extends 'base.html.twig' %}

{% block title %}New Reservation{% endblock %}
{% block css %}
    <link rel="stylesheet" href="{{ asset('range/daterangepicker.min.css') }}">
{% endblock %}
{% block content %}
    <div class="row d-flex justify-content-center">
        <div class="col-md-6 col-12 ">
            <div class="card" style="height: 392.688px;">

                <div class="card-content">
                    <div class="card-body">
                        {{ form_start(form) }}
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-4">
                                    {{ form_label(form.date_arr, 'Date arrivé') }}
                                </div>
                                <div class="col-md-8 form-group ">
                                    <div class="position-relative has-icon-left">
                                        {{ form_widget(form.date_arr ,{ 'attr': {'class': 'form-control date1','data-datepicker': 'separateRange'}  }) }}
                                        <div class="form-control-position">
                                            <i class="bx bx-calendar-check"></i>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    {{ form_label(form.date_dep, 'Date arrivé') }}
                                </div>
                                <div class="col-md-8 form-group">
                                    <div class="position-relative has-icon-left">
                                        {{ form_widget(form.date_dep ,{ 'attr': {'class': 'form-control date2','data-datepicker': 'separateRange'}  }) }}
                                        <div class="form-control-position">
                                            <i class="bx bx-calendar-x"></i>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    {{ form_label(form.id_client, 'Client') }}
                                </div>
                                <div class="col-md-8 form-group">
                                    <div class="position-relative has-icon-left">
                                        {{ form_widget(form.id_client ,{ 'attr': {'class': 'form-control '}  }) }}
                                        <div class="form-control-position">
                                            <i class="bx bx-user"></i>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    {{ form_label(form.id_chambre, 'Chambre') }}
                                </div>
                                <div class="col-md-8 form-group">
                                    <div class="position-relative has-icon-left">
                                        {{ form_widget(form.id_chambre ,{ 'attr': {'class': 'form-control '}  }) }}
                                        <div class="form-control-position">
                                            <i class="bx bx-bed"></i>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 d-flex justify-content-end ">
                                    <button class="btn btn-primary" type="submit"> {{ button_label|default('Soumettre') }}</button>
                                </div>
                            </div>
                        </div>
                        {{ form_end(form) }}
                    </div>
                </div>
            </div>
        </div>
    </div>



{% endblock %}
{% block js %}
    <script src="{{ asset('app-assets/css/moment.min.js') }}"></script>
    <script src="{{ asset('range/daterangepicker.min.js') }}"></script>

    <script>
        if($('#reservation_date_arr, #reservation_date_dep').length){
            // check if element is available to bind ITS ONLY ON HOMEPAGE
            var currentDate = moment().format("DD-MM-YYYY");

            $('#reservation_date_arr, #reservation_date_dep').daterangepicker({
                locale: {
                    format: 'DD-MM-YYYY'
                },
                "alwaysShowCalendars": true,
                "minDate": currentDate,
                autoApply: true,
                autoUpdateInput: false
            }, function(start, end, label) {
                // console.log("New date range selected: ' + start.format('YYYY-MM-DD') + ' to ' + end.format('YYYY-MM-DD') + ' (predefined range: ' + label + ')");
                // Lets update the fields manually this event fires on selection of range
                var selectedStartDate = start.format('DD-MM-YYYY'); // selected start
                var selectedEndDate = end.format('DD-MM-YYYY'); // selected end

                $checkinInput = $('#reservation_date_arr');
                $checkoutInput = $('#reservation_date_dep');

                // Updating Fields with selected dates
                $checkinInput.val(selectedStartDate);
                $checkoutInput.val(selectedEndDate);

                // Setting the Selection of dates on calender on CHECKOUT FIELD (To get this it must be binded by Ids not Calss)
                var checkOutPicker = $checkoutInput.data('daterangepicker');
                checkOutPicker.setStartDate(selectedStartDate);
                checkOutPicker.setEndDate(selectedEndDate);

                // Setting the Selection of dates on calender on CHECKIN FIELD (To get this it must be binded by Ids not Calss)
                var checkInPicker = $checkinInput.data('daterangepicker');
                checkInPicker.setStartDate(selectedStartDate);
                checkInPicker.setEndDate(selectedEndDate);

            });

        } // End Daterange Picker
    </script>
{% endblock %}
